from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPrintableBroadcaster(XInterface, Protocol):
    def addPrintableListener(self, xListener: XPrintableListener) -> None: ...
    def removePrintableListener(self, xListener: XPrintableListener) -> None: ...
